Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.hl7v2.impl
Class XADImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.ohf.ihe.common.hl7v2.impl.XADImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject, XAD

    public class XADImpl

extends org.eclipse.emf.ecore.impl.EObjectImpl
implements XAD

An implementation of the model object 'XAD'. This data structure is being used to represent an address and is based on the HL7 v2.5 data type XAD.

The following features are implemented:

- `Street Address`
- `Other Designation`
- `City`
- `State Or Province`
- `Zip Or Postal Code`
- `Country`
- `County Parish Code`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`ELAST_EOBJECT_FLAG`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Method Summary
`java.lang.Object` | `eGet(int featureID, boolean resolve, boolean coreType)`
`boolean` | `eIsSet(int featureID)`
`void` | `eSet(int featureID, java.lang.Object newValue)`
`void` | `eUnset(int featureID)`
`java.lang.String` | `getCity()`
`java.lang.String` | `getCountry()`
`java.lang.String` | `getCountyParishCode()`
`java.lang.String` | `getOtherDesignation()`
`java.lang.String` | `getStateOrProvince()`
`java.lang.String` | `getStreetAddress()`
`java.lang.String` | `getZipOrPostalCode()`
`void` | `setCity(java.lang.String newCity)`
`void` | `setCountry(java.lang.String newCountry)`
`void` | `setCountyParishCode(java.lang.String newCountyParishCode)`
`void` | `setOtherDesignation(java.lang.String newOtherDesignation)`
`void` | `setStateOrProvince(java.lang.String newStateOrProvince)`
`void` | `setStreetAddress(java.lang.String newStreetAddress)`
`void` | `setZipOrPostalCode(java.lang.String newZipOrPostalCode)`
`java.lang.String` | `toString()`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eIsProxy, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Method Detail

### getStreetAddress

    public java.lang.String getStreetAddress()

  Specified by:
    `getStreetAddress` in interface `XAD`
  Returns:
    the value of the 'Street Address' attribute.
  See Also:
    `XAD.setStreetAddress(String)`, `Hl7v2Package.getXAD_StreetAddress()`

### setStreetAddress

    public void setStreetAddress(java.lang.String newStreetAddress)

  Specified by:
    `setStreetAddress` in interface `XAD`
  Parameters:
    `newStreetAddress` - the new value of the 'Street Address' attribute.
  See Also:
    `XAD.getStreetAddress()`

### getOtherDesignation

    public java.lang.String getOtherDesignation()

  Specified by:
    `getOtherDesignation` in interface `XAD`
  Returns:
    the value of the 'Other Designation' attribute.
  See Also:
    `XAD.setOtherDesignation(String)`, `Hl7v2Package.getXAD_OtherDesignation()`

### setOtherDesignation

    public void setOtherDesignation(java.lang.String newOtherDesignation)

  Specified by:
    `setOtherDesignation` in interface `XAD`
  Parameters:
    `newOtherDesignation` - the new value of the 'Other Designation' attribute.
  See Also:
    `XAD.getOtherDesignation()`

### getCity

    public java.lang.String getCity()

  Specified by:
    `getCity` in interface `XAD`
  Returns:
    the value of the 'City' attribute.
  See Also:
    `XAD.setCity(String)`, `Hl7v2Package.getXAD_City()`

### setCity

    public void setCity(java.lang.String newCity)

  Specified by:
    `setCity` in interface `XAD`
  Parameters:
    `newCity` - the new value of the 'City' attribute.
  See Also:
    `XAD.getCity()`

### getStateOrProvince

    public java.lang.String getStateOrProvince()

  Specified by:
    `getStateOrProvince` in interface `XAD`
  Returns:
    the value of the 'State Or Province' attribute.
  See Also:
    `XAD.setStateOrProvince(String)`, `Hl7v2Package.getXAD_StateOrProvince()`

### setStateOrProvince

    public void setStateOrProvince(java.lang.String newStateOrProvince)

  Specified by:
    `setStateOrProvince` in interface `XAD`
  Parameters:
    `newStateOrProvince` - the new value of the 'State Or Province' attribute.
  See Also:
    `XAD.getStateOrProvince()`

### getZipOrPostalCode

    public java.lang.String getZipOrPostalCode()

  Specified by:
    `getZipOrPostalCode` in interface `XAD`
  Returns:
    the value of the 'Zip Or Postal Code' attribute.
  See Also:
    `XAD.setZipOrPostalCode(String)`, `Hl7v2Package.getXAD_ZipOrPostalCode()`

### setZipOrPostalCode

    public void setZipOrPostalCode(java.lang.String newZipOrPostalCode)

  Specified by:
    `setZipOrPostalCode` in interface `XAD`
  Parameters:
    `newZipOrPostalCode` - the new value of the 'Zip Or Postal Code' attribute.
  See Also:
    `XAD.getZipOrPostalCode()`

### getCountry

    public java.lang.String getCountry()

  Specified by:
    `getCountry` in interface `XAD`
  Returns:
    the value of the 'Country' attribute.
  See Also:
    `XAD.setCountry(String)`, `Hl7v2Package.getXAD_Country()`

### setCountry

    public void setCountry(java.lang.String newCountry)

  Specified by:
    `setCountry` in interface `XAD`
  Parameters:
    `newCountry` - the new value of the 'Country' attribute.
  See Also:
    `XAD.getCountry()`

### getCountyParishCode

    public java.lang.String getCountyParishCode()

  Specified by:
    `getCountyParishCode` in interface `XAD`
  Returns:
    the value of the 'County Parish Code' attribute.
  See Also:
    `XAD.setCountyParishCode(String)`, `Hl7v2Package.getXAD_CountyParishCode()`

### setCountyParishCode

    public void setCountyParishCode(java.lang.String newCountyParishCode)

  Specified by:
    `setCountyParishCode` in interface `XAD`
  Parameters:
    `newCountyParishCode` - the new value of the 'County Parish Code' attribute.
  See Also:
    `XAD.getCountyParishCode()`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD